{% extends '::base.html.twig' %}

{% block body %}

<style>
.container{    
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    margin-left: -200px;
    margin-top: -150px;
}

body{
    background:url('{{ asset('vendor/img/bg_login.jpg') }}') no-repeat fixed center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-position-y: 0px;
}

</style>
<br/>
<div class="container">
    <div class="panel panel-primary">

    <div class="panel-heading">
        <div class="row">
            <div class="col-md-4" style="text-align: center;padding: 0px;">
                <img id="mdr_logo" src='{{ asset('vendor/img/logoMDR.png') }}' style="width: 60%;">
            </div>
            <div class="col-md-8" style="text-align: center;">
                <div class="col-md-12" style="font-size: 22px;text-align: center"><label>VERQUET</label></div>
                <div class="col-md-12" style="font-size: 22px;text-align: center"><label>Inicio de sesión</label></div>
            </div>
        </div> 
    </div>

      <div class="panel-body">
            {% if error %}
            <!--{{ error.message }}-->
            <label>Error de Usuario o contraseña</label>
            {% endif %}
            <form id="check-user" action="{{ path('sesion_login_check') }}" method="POST" autocomplete="off">
                <div class="form-group">
                    <label for="username" class="required">Usuario</label>
                    <input type="text" class="form-control" id="username" name="_username" required="required" placeholder="Usuario">
                </div>
                <div class="form-group">
                    <label for="password" class="required">Contrase&ntilde;a</label>
                    <input type="password" class="form-control" id="password" name="_password" required="required" placeholder="Contrase&ntilde;a" value="">
                </div>
                <button type="submit" class="btn btn-success" onclick="validateAccess()">Entrar</button>
            </form>
      </div>
    </div>
</div>
{% endblock %}

{% block javascripts %}
<script type="text/javascript" src="{{ asset('bundles/mdrpuntoventa/js/nuxibaCalls.js') }}"></script>
<script>
$(function() {
    $('#password').keyup(function() {
        this.value = this.value.toUpperCase();
    });
    localStorage.setItem("conexionNuxibaOpen", 0);
    nuxibaCalls.fetch();
    while(nuxibaCalls.length > 0)
    {
        nuxibaCalls.at(0).destroy();
    }
});
</script>
{% endblock %}